<?php

/**
 * JOOk2Metas plugin
 * PHP 5.0
 * 
 * @name        
 * @version     1.0.0.0
 * @since       1.0.0.0
 * @copyright	Copyright (C) 2011 - 2012 JOOservices Ltd Company. All rights reserved.
 * @license	JOOservices Ltd Company
 * @link        http://jooservices.com 
 */
/* no direct access */
defined('_JEXEC') or die;
?>
<?php

/* Load the K2 Plugin API */
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_k2' . DS . 'lib' . DS . 'k2plugin.php');
jimport('joomla.application.component.model');
jimport('joomla.plugin.plugin');

require_once(dirname(__FILE__) . DS . 'models' . DS . 'k2.php');

/**
 * K2 plugin class 
 */
class plgK2JOOk2Metas extends JPlugin {

    var $pluginName = 'jook2metas';
    var $pluginNameHumanReadable = 'jooK2Metas';

    /**
     * Construct method
     * @param type $subject
     * @param type $params 
     */
    function plgK2JOOk2Metas(& $subject, $params) {
        parent::__construct($subject, $params);
    }

    /**
     *
     * @param type $item
     * @param type $isNew 
     */
    function onAfterK2Save(&$item, $isNew) {
        $model = new jooK2metasModel($item);
        $model->updateMetaKey($this->params->get('metakey', '{standard_tag},{upper_tag},{lower_tag}'));
        
        /**
         * @uses
         * In this version meta desscription only update for new item 
         */
        if ($isNew) {
            $model->updateMetaDesc($this->params->get('metadesc', '{standard_title},{upper_title},{lower_title},{utf_title}'));
        }
    }

}